# Generated by Django 4.1.4 on 2022-12-20 10:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Article",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("nom", models.CharField(max_length=200)),
                ("QUANTITE", models.CharField(max_length=200)),
                ("PRIX_BASE", models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name="Stock",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "articles",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="mylists.article",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Liste",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("PRIX_TOTAL", models.CharField(max_length=200)),
                (
                    "ARTICLES",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="mylists.article",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Enseigne",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("MODIFICATEUR_PRIX", models.CharField(max_length=200)),
                (
                    "ARTICLE",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="mylists.article",
                    ),
                ),
                (
                    "STOCK",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="mylists.stock"
                    ),
                ),
            ],
        ),
    ]
